@charset "UTF-8";

@import url(/css/reset.css);
@import url(/css/setting.css);
body{
    font-family: var(--font01);
    font-size: 16px;
    font-optical-sizing: auto;
    line-height: 1.4em;
    width:100%;
    margin: 0 auto;
    padding:0;
}
img{
    width:100%;
    pointer-events: none;
}
a{
    text-decoration:none;
}
.d-none{
    display: none;
}
.button{
    display: block;
    background: var(--colorW);
    color: var(--colorR);
    text-align: center;
    margin: 0;
    padding: 10px 20px;
    position: relative;
    overflow: hidden;
    z-index: 0;

    span{
        position: relative;
        z-index: 2;
    }

    &:before{
        content: "";
        background: var(--colorR);
        width:100%;
        height:100%;
        position: absolute;
        top:20px;
        left: 0;
        opacity: 0;
        transition: all ease 0.5s;
    }

    &:after{
        content:"";
        width: 0;
        height: 0;
        border-style: solid;
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
        border-left: 10px solid var(--colorR);
        border-right: 0;
        position: absolute;
        top:50%;
        right: 10px;
        transform: translate(0,-50%);
    }

    &:hover{
        color: var(--colorW);
    }

    &:hover:before{
        top:0;
        opacity: 1;
    }
    &:hover:after{
        border-left: 10px solid var(--colorW);
    }
}

header,footer,section{
    overflow: hidden;
}
header{
    background: #008AD9;
    background: linear-gradient(0deg, rgba(0, 138, 217, 1) 0%, rgba(0, 13, 31, 1) 100%);
    width: 100%;
    height: 110px;
    margin: 0 auto;
    padding: 2% 0;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;

    .inner {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        max-width: var(--width01);
        width: 97%;
        margin: 0 auto;

        h1 {
            max-width: 320px;
            width: 20%;

            a{
                display: block;
            }
        }

        .header_menu{
            position: relative;
        }
    }
}
header .inner .header_menu{
    width: 78%;
    margin: 0 0 0 auto;
    padding: 0;

    /*----------------------------
    * PCメニュー本体
    *----------------------------*/
    .Viewmenu_inner{
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-end;

        ul{
            display: flex;
            align-items: center;
            width: calc(100% - 180px);
            margin: 0 0 0 20px;
        
            li{
                box-sizing: border-box;
                flex-grow: 1;
                margin: 0 1% 0 0;
                padding: 0;

                a{
                    color: var(--colorW);
                    font-size: var(--font-menu);
                    font-weight: 400;
                    letter-spacing: 0pt;
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                    width: 100%;
                    height: 100%;
                    padding: 10px 0 10px 10px;
                    position: relative;
                    transition: all ease 0.5s;

                    &:after{
                        content:"";
                        width: 0;
                        height: 0;
                        border-style: solid;
                        border-top: 5px solid transparent;
                        border-bottom: 5px solid transparent;
                        border-left: 10px solid var(--colorW);
                        border-right: 0;
                        position: absolute;
                        top:50%;
                        right: 0;
                        transform: translate(0,-50%);
                    }

                    &:hover{
                        font-weight: 600;
                        letter-spacing: 0.2pt;
                        width: 95%;
                    }
                }
            }
        }
        .button_head{
            width: 140px;
            height: fit-content;
            margin: auto;

            span{
                display: block;
                margin: 0 5px 0 0;
            }
        }
    }
}

footer{
    background: #008AD9;
    background: linear-gradient(180deg, rgba(0, 138, 217, 1) 0%, rgba(0, 13, 31, 1) 100%);
    width: 100%;
    margin: 0 auto;
    padding: 4% 0 0;

    .inner{
        color: var(--colorW);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        max-width: var(--width01);
        width: 97%;
        margin: 0 auto;

        .inner_left{

            h1{
                margin: 0 0 10px;
            }

            p{                
                width: 100%;
                margin: 0 0 20px;
                padding: 0 0 0 20px;
            }
            a.tel_link{
                display: block;
                width: 100%;
                margin: 0 0 20px;
                padding: 0 0 0 20px;
            }

            a.button_foot{
                max-width: 220px;
                margin: 0 0 0 20px;
            }
        }
        
        .footer_menu{
            display: flex;
            flex-wrap: wrap;
            max-width: 320px;
            margin: 0 0 20px;

            li{
                width: 48%;
                margin: 0 2% 2% 0;
                padding: 0;
                position: relative;
                overflow: hidden;

                a{
                    display: block;
                    width: 100%;
                    height: 100%;
                    padding: 10px 0 10px 12px;
                }

                &:after{
                    content:"";
                    width: 0;
                    height: 0;
                    border-style: solid;
                    border-top: 5px solid transparent;
                    border-bottom: 5px solid transparent;
                    border-left: 10px solid var(--colorW);
                    border-right: 0;
                    opacity: 0;
                    position: absolute;
                    top:50%;
                    left: 0;
                    transform: translate(0,-50%);
                    transition: all ease 0.5s;
                }

                &:hover:after{
                    opacity: 1;
                }
            }
        }
        #copyright{
            font-size: var(--font-menu);
            text-align: right;
            width: 100%;
            margin: 10px auto 0;
            padding: 10px 0 10px;
        }
        a#pagetop{
            /* background:  var(--color01); */
            background: #008AD9;
            background: linear-gradient(180deg, rgba(0, 138, 217, 1) 0%, rgba(0, 13, 31, 1) 100%);
            color: var(--colorW);
            font-size: var(--font-mini);
            display: flex;
            justify-content: center;
            align-items: center;
            width: 60px;
            height: 60px;
            z-index: 1;
            position: fixed;
            bottom: 0;
            right: 0;
            transition: all ease 0.5s;

            span{
                display: block;
                margin: 5px 0 0;
            }

            &:after{
                content:"";
                width: 0;
                height: 0;
                border-style: solid;
                border-top: 0;
                border-bottom: 10px solid var(--colorW);
                border-left: 5px solid transparent;
                border-right: 5px solid transparent;
                position: absolute;
                top: 10px;
                right: calc(50% - 10px);
                transform: translate(-50%, 0);
            }

            &:hover{
                background: var(--color02);
            }
        }
    }
}

@media all and (min-width:769px){
    .sp-disp{
        display:none;
    }
    header .inner .header_menu{
        .menu-btn{
            display: none;
        }
    }
    a[href^="tel:"] {
        pointer-events: none;
    }
    footer{
        #FloatMenu{
            display: none;
        }
    }
}
@media all and (max-width:768px){
    body{
        font-family: var(--font01);
        font-size: 14px;
        line-height: 1.6em;
    }
    .pc-disp{
        display:none;
    }
    header{
        display: flex;
        justify-content: center;
        height: 70px;
        position: relative;

        .inner{
            h1 {
                max-width: 315px;
                width: 42%;
                position: relative;
                top: 5px;
                left: 5px;
            }

            .header_menu{
                width: auto;

                .button_sp{
                    width: 120px;
                    margin: 3px 70px 0 0;
                    padding: 5px 20px;

                    span{
                        display: block;
                        margin: 0 5px 0 0;
                    }
                }
            }
        }
    }
    header .inner .header_menu ul, footer .top ul{
        li{
            a{
                span{
                    padding: 0 0 0 10px;
                }
            }
        }
    }
    footer{
        .inner{
            padding: 3% 0 18%;

            .inner_left{
                width: 80%;
                margin: 0 auto 8%;

                a.button_foot{
                    margin: 0 auto;
                }
            }

            .footer_menu{
                display: none;
            }

            #copyright{
                text-align: center;
            }

        }
        #FloatMenu{
            /* background: var(--color01); */
            background: #008AD9;
            background: linear-gradient(180deg, rgba(0, 138, 217, 1) 0%, rgba(0, 13, 31, 1) 100%);
            width: 100%;
            margin: 0 auto;
            padding: 0;
            position: fixed;
            bottom: 0;
            left: 0;
            z-index: 999;

            ul{
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                align-items: center;
                width: 100%;

                li{
                    &:nth-child(1){
                        background: var(--colorW);
                        width: 85%;

                        a{                        
                            color: var(--color01);
                            font-size: 20px;
                            font-weight: 600;
                            display: flex;
                            flex-wrap: wrap;
                            justify-content: center;
                            align-items: center;
                            width: 100%;
                            height: 68px;
                            padding: 10px 0;
                        }
                    }

                    &:nth-child(2){
                        width: 15%;

                        .menu-btn{
                            background: unset;
                            width: 12%;
                            height: 100%;
                        }
                    }
                }
            }
        }
    }

    /*----------------------------
    * SPメニュー開閉ボタン
    *----------------------------*/
    .menu-btn{
        background: var(--color01);
        color: var(--colorW);
        font-size: 1rem;
        width: 45px;
        height: 45px;
        padding: 5px 0 0;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        position: absolute;
        z-index: 999999;
        top: -5px;
        right: 5px;

        span{
            display: block;
            text-align: center;
            font-size: var(--font-menu);
            width: 100%;
            margin: -5px 0 0;
            padding: 0;
        }

        i{
            font-size: 1.5rem;
            margin: 0;
        }

        .inview{
            display: block;
        }

        .behind{
            display: none;
        }
    }

    /*----------------------------
    * SPメニュー本体
    *----------------------------*/
    #Viewmenu{
        background-color: var(--clear01);
        position: fixed;
        top: 0;
        right: 0;
        z-index: 1;
        width: 100vw;
        height: 100dvh;
        overflow: scroll;
        padding: 4rem 0 2rem;

        pointer-events: none;
        opacity: 0;
        transform-origin: top;
        transform: scale(.5);
        transition: all .3s ease;
        
        &.is-active{
            pointer-events: auto;
            opacity: 1;
            transform: scale(1.0);
        }

        .Viewmenu_inner{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
    }

    #Viewmenu .Viewmenu_inner ul{
        flex-direction: column;
        border-left: none;
        width: 85%;
        margin: 0 auto;

        li{
            background: var(--clear01);
            border-right: none;
            border-bottom: 1px solid var(--color01);
            width: 100%;
            margin: 0 0 20px;
            padding: 2% 0;
            height: auto;
            
            a{
                color:var(--color01);
                text-decoration: none;
                display: block;
                padding: 3%;
                position: relative;

                &:after{
                    border-left: 10px solid var(--color01);
                    right: 20px;
                }
            }
        }
    }
}